Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.controls
Class ProxyPortletPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.WindowPresentationContext
                  com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
                      com.bea.wsrp.consumer.controls.ProxyPortletPresentationContext

All Implemented Interfaces
  Serializable

    public class ProxyPortletPresentationContext

extends PortletPresentationContext

Presentation context for proxy portlets.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`CLASS_NAME`

Method Summary
`int` | `getConnectionEstablishmentTimeoutMSecs()` Returns the connection establishment timeout in milli secs.
`int` | `getConnectionTimeoutMSecs()` Returns the read timeout, in milliseconds.
`String` | `getGroupId()` Returns the group ID as specified by the producer.
`String` | `getPortletHandle()` Returns the portlet's handle.
`String` | `getPortletStateChange()` Returns the current value of the portlet state change.
`String` | `getProducerHandle()` Returns the producer handle used when creating the proxy portlet.
`static ProxyPortletPresentationContext` | `getProxyPortletPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the current `ProxyPortletPresentationContext`.
`boolean` | `isCacheRenderDependencies()` Returns true if the consumer can cache render dependencies.
`boolean` | `isDoesUrlTemplateProcessing()` Specifies whether the producer does URL template processing or not for this portlet.
`boolean` | `isInvokeRenderDependencies()` Returns true if the portlet has render dependencies, and the consumer is required to collect render dependencies for this portlet from the producer.
`boolean` | `isTemplatesStoredInSession()` Specifies whether the producer stores URL templates in the user's session on the producer side or not.
`boolean` | `isUserContextStoredInSession()` Returns true if the consumer stores the user's context in its session.

Methods inherited from class com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
`getAsyncContent, getInstanceLabel, getLabel, getPagePresentationContext, getPortletPreferences, getPortletPresentationContext, getPortletUri, getPreferences, getSharedParameterValue, getSharedParameterValues, isAsyncContent, isCapable, isContentOnly, isDefaultMinimized, isPortletRenderedByClient, isRemote`

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getCapability, getContentAttributeRenderer, getContentPresentationClass, getContentPresentationContextChildren, getContentPresentationStyle, getDefinitionId, getDefinitionLabel, getInstanceId, getLocalInstanceId, getMetaData, getMetaDatas, getOrientation, getParentPagePresentationContext, getPreviousWindowMode, getThemePresentationContext, getTitle, getTitlebarPresentationContext, getWindowMode, getWindowPresentationContext, getWindowState, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProxyPortletPresentationContext

    public static ProxyPortletPresentationContext getProxyPortletPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the current `ProxyPortletPresentationContext`. Note this method will only work if called from within a portal (typically, from the window.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current ProxyPortletPresentationContext, if any

### getPortletHandle

    public String getPortletHandle()

  Returns the portlet's handle. Note that, after a portlet is customized, this handle will be different from the value used while creating a proxy portlet.

  Returns
    handle

### getProducerHandle

    public String getProducerHandle()

  Returns the producer handle used when creating the proxy portlet.

  Returns
    producer handle

### getGroupId

    public String getGroupId()

  Returns the group ID as specified by the producer.

  Returns
    group ID

### isDoesUrlTemplateProcessing

    public boolean isDoesUrlTemplateProcessing()

  Specifies whether the producer does URL template processing or not for this portlet.

  Returns
    boolean

### isTemplatesStoredInSession

    public boolean isTemplatesStoredInSession()

  Specifies whether the producer stores URL templates in the user's session on the producer side or not.

  Returns
    boolean

### getConnectionEstablishmentTimeoutMSecs

    public int getConnectionEstablishmentTimeoutMSecs()

  Returns the connection establishment timeout in milli secs. If the timeout expires before the connection can be established, the connection to the producer will be terminated.

  Returns
    connect timeout in msecs

### getConnectionTimeoutMSecs

    public int getConnectionTimeoutMSecs()

  Returns the read timeout, in milliseconds. If the timeout expires before there is data available for read, the consumer will terminate the connection.

  Returns
    read timeout in msecs

### getPortletStateChange

    public String getPortletStateChange()

  Returns the current value of the portlet state change. This enum will be used by the consumer to determine when to allow a producer to clone a portlet.

  Returns
    state change flag

### isInvokeRenderDependencies

    public boolean isInvokeRenderDependencies()

  Returns true if the portlet has render dependencies, and the consumer is required to collect render dependencies for this portlet from the producer.

  Returns
    boolean

### isCacheRenderDependencies

    public boolean isCacheRenderDependencies()

  Returns true if the consumer can cache render dependencies.

  Returns
    boolean

### isUserContextStoredInSession

    public boolean isUserContextStoredInSession()

  Returns true if the consumer stores the user's context in its session.

  Returns
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.